ShellCheck-0.10.0: Shell script analysis tool

Safe Haskell | None
Language | Haskell98

ShellCheck.Formatter.Format

# Documentation

data Formatter #

Constructors

Formatter |
Fields header :: IO () onResult :: CheckResult -> SystemInterface IO -> IO () onFailure :: FilePath -> ErrorMessage -> IO () footer :: IO ()

sourceFile :: PositionedComment -> String #

lineNo :: PositionedComment -> Integer #

endLineNo :: PositionedComment -> Integer #

colNo :: PositionedComment -> Integer #

endColNo :: PositionedComment -> Integer #

codeNo :: PositionedComment -> Code #

messageText :: PositionedComment -> String #

severityText :: PositionedComment -> String #

makeNonVirtual :: [PositionedComment] -> [Char] -> [PositionedComment] #

shouldOutputColor :: ColorOption -> IO Bool #